Skip to main content
`Ctrl`+`K`

# skbio.diversity.alpha.mcintosh_d

skbio.diversity.alpha.mcintosh_d(counts)

  Calculate McIntosh dominance index.

  McIntosh dominance index \(D\) is defined as:

  \[D = \frac{N - U}{N - \sqrt{N}}\]

  where \(N\) is the total number of individuals in the sample and \(U\) is defined as:

  \[U = \sqrt{\sum{{n_i}^2}}\]

  where \(n_i\) is the number of individuals in the \(i^{\text{th}}\) taxon.

  Parameters:
    counts 1-D array_like, int

      Vector of counts.

  Returns:
    float

      McIntosh dominance index.

  See also

  `mcintosh_e`

  Notes

  McIntosh dominance index was originally described in [1].

  References

  [1]

  McIntosh, R. P. 1967 An index of diversity and the relation of certain concepts to diversity. Ecology 48, 1115-1126.